Package org.kapott.hbci.passport.rdhXfile

## Class DateField

- java.lang.Object
- - org.kapott.hbci.passport.rdhXfile.TLV
  - - org.kapott.hbci.passport.rdhXfile.DateField

    public class DateField
    extends TLV

### Constructor Summary

Constructors
`DateField()`
`DateField​(TLV tlv)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Date` `getDate()`
`void` `setDate​(java.util.Date date)`
`java.lang.String` `toString()`
`void` `updateData()`

### Methods inherited from class org.kapott.hbci.passport.rdhXfile.TLV

`expand, getData, getLength, getRawData, getTag, int2ba, long2ba, reverseba, setData, trimba`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DateField

    public DateField()

#### DateField

    public DateField​(TLV tlv)

### Method Detail

#### getDate

    public java.util.Date getDate()

#### setDate

    public void setDate​(java.util.Date date)

#### updateData

    public void updateData()

Overrides:
  `updateData` in class `TLV`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`